Skip to main content
GET
https://api.folkyn.com
/
api
/
v1
/
missions
/
{id}
Get mission detail
curl --request GET \
  --url https://api.folkyn.com/api/v1/missions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "project_code": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "external_id": "<string>"
    },
    "deliverables_catalog": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "quantity": 123,
        "amount_excl_vat": 123,
        "order_index": 123
      }
    ],
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "mission_type": "<string>",
    "contract_kind": "master_agreement",
    "has_document": true,
    "currency": "<string>",
    "rate_amount": 123,
    "start_date": "2023-12-25",
    "end_date": "2023-12-25",
    "display_status": "draft",
    "external_referent": {
      "email": "<string>",
      "company": "<string>"
    },
    "purchase_order": "<string>",
    "project_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "created_by": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_name": "<string>",
      "last_name": "<string>"
    },
    "freelancer": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>",
      "referent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "referent": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "first_name": "<string>",
        "last_name": "<string>"
      }
    },
    "team_signer": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_name": "<string>",
      "last_name": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <your_api_key>

Path Parameters

id
string<uuid>
required

Response

Success

data
object